## com.google.gwt.event.logical.shared
Interface BeforeSelectionHandler<I>

Type Parameters:
  `I` - the type about to be selected

All Superinterfaces:
  EventHandler

    public interface BeforeSelectionHandler<I>

extends EventHandler

Handler interface for `BeforeSelectionEvent` events.

Method Summary
`void` | `onBeforeSelection(BeforeSelectionEvent<I> event)` Called when `BeforeSelectionEvent` is fired.

Method Detail

### onBeforeSelection

    void onBeforeSelection(BeforeSelectionEvent<I> event)

  Called when `BeforeSelectionEvent` is fired.

  Parameters:
    `event` - the `BeforeSelectionEvent` that was fired